%% Funktion zum Festlegen der Parameter der Simulation fr Beispiel 3.10
%  Erstellt: 20.2.2020
%  Ersteller: W. Kemmetmller
%  nderungen:
clear all;

%% Systemparameter
% Massen
par.m1=150;
par.m2=150;
par.m3=500;

% Federsteifigkeiten
par.c11=5e4;
par.c22=2.5e4;
par.c13=5e4;
par.c23=2.5e4;

% entspannte Lngen der Federn
par.s011=280e-3;
par.s022=280e-3;
par.s013=200e-3;
par.s023=200e-3;

% Dmpfungen
par.d11=100;
par.d22=100;
par.d13=500;

% Gravitationskonstante 
par.g=9.81;

% Massen-, Dmpfungs- und Steifigkeitsmatrix
par.MM=diag([par.m1,par.m2,par.m3]);
par.DD=[par.d11+par.d13,0,-par.d13;0,par.d22,0;-par.d13,0,par.d13];
par.KK=[par.c11+par.c13,0,-par.c13;0,par.c22+par.c23,-par.c23;-par.c13,-par.c23,par.c13+par.c23];

par.kk=[-par.m1*par.g+par.c11*par.s011-par.c13*par.s013;-par.m2*par.g+par.c22*par.s022-par.c23*par.s023;...
    -par.m3*par.g+par.c13*par.s013+par.c23*par.s023;];

par.BB=-eye(3);     %Annahme einer Lastkraft auf jede Masse

%% Berechnung der Ruhelage
par.qqR=par.KK\par.kk;

par.xx0=[par.qqR;zeros(3,1)];